Bug 965640 (CVE-2013-2174) - CVE-2013-2174 curl: Loop counter error, leading to heap-based buffer overflow when decoding certain URLs
Summary: CVE-2013-2174 curl: Loop counter error, leading to heap-based buffer overflow...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2174
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130622,repor...
Depends On: 973940 973941 973943 973944 978227 978228
Blocks: 965650
TreeView+ depends on / blocked
 
Reported: 2013-05-21 13:03 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:35 UTC (History)
4 users (show)

Fixed In Version: curl 7.31.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-01 07:08:25 UTC


Attachments (Terms of Use)
Proposed upstream patch to correct this issue (1.74 KB, patch)
2013-05-21 13:09 UTC, Jan Lieskovsky
no flags Details | Diff
And related upstream test case (9.08 KB, patch)
2013-05-21 13:10 UTC, Jan Lieskovsky
no flags Details | Diff
test-case (3.22 KB, text/plain)
2013-06-14 13:55 UTC, Kamil Dudka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0983 normal SHIPPED_LIVE Moderate: curl security update 2013-06-25 23:20:52 UTC

Description Jan Lieskovsky 2013-05-21 13:03:37 UTC
A loop counter error, leading to heap-based buffer overflow flaw was found in the URL decoder of cURL, an utility for retrieval of files from remote servers, used to decode certain strings. Remote attacker could provide a specially-crafted string that when processed by the URL decoder of cURL would lead to curl executable crash or, potentially, arbitrary code execution with the privileges of the user running the curl binary.

Advisory: http://curl.haxx.se/docs/adv_20130622.html
Patch: http://curl.haxx.se/libcurl-unescape.patch

Comment 1 Jan Lieskovsky 2013-05-21 13:08:44 UTC
This issue affects the versions of the curl package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the curl package, as shipped with Fedora release of 17 and 18.

Comment 2 Jan Lieskovsky 2013-05-21 13:09:38 UTC
Created attachment 751161 [details]
Proposed upstream patch to correct this issue

Comment 3 Jan Lieskovsky 2013-05-21 13:10:20 UTC
Created attachment 751162 [details]
And related upstream test case

Comment 14 Murray McAllister 2013-06-25 08:22:02 UTC
Acknowledgements:

Red Hat would like to thank the cURL project for reporting this issue.
Upstream acknowledges Timo Sirainen as the original reporter.

Comment 15 errata-xmlrpc 2013-06-25 19:21:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0983 https://rhn.redhat.com/errata/RHSA-2013-0983.html

Comment 16 Huzaifa S. Sidhpurwala 2013-06-26 06:50:05 UTC
Created mingw32-curl tracking bugs for this issue

Affects: epel-5 [bug 978228]

Comment 17 Huzaifa S. Sidhpurwala 2013-06-26 06:50:19 UTC
Created mingw-curl tracking bugs for this issue

Affects: fedora-all [bug 978227]

Comment 18 Fedora Update System 2013-06-29 18:43:53 UTC
curl-7.29.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-07-12 03:15:00 UTC
curl-7.27.0-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-07-23 01:11:09 UTC
curl-7.24.0-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Jan Lieskovsky 2013-07-31 13:02:47 UTC
Relevant upstream patch:
  https://github.com/bagder/curl/commit/192c4f788d48f82c03e9cef40013f34370e90737


Note You need to log in before you can comment on or make changes to this bug.